#include <stdint.h>
#include "niboprot_reg.h"

#define NSP_FLAG_MODIFIED_LOCAL   1
#define NSP_FLAG_MODIFIED_REMOTE  2
#define NSP_FLAG_REQUESTED        4
#define NSP_FLAG_REPORTED         8


#define NSP_ERROR_TEXT \
"parsing error! Try help\n"

#define NSP_HELP_TEXT \
"Functions:\n" \
"=========\n" \
"command     short  parameter           function\n" \
"-------     -----  ---------           --------\n" \
"help                                   show this help\n" \
"request            {sequence}          begin decimal request, sequence number is optional\n" \
"            $      {sequence}          begin hexadecimal request, sequence number is optional\n" \
" set        !      {register},{value}  set register with value\n" \
" get        ?      {register}          get register data once\n" \
" report     #      {register}          report register data always\n" \
" unreport   ~      {register}          don't report register data\n" \
"\n"


void nsp_request(char * rxdata, uint16_t rxlen);
uint16_t nsp_reply(char * txdata, uint16_t txlenmax);
uint8_t nsp_show_help();

extern uint16_t nsp_registers[NSP_REGISTERS];
extern uint8_t nsp_register_flags[NSP_REGISTERS];
