// NIBO 2 robot definitions


#define NSP_REGISTERS 32

enum {
  /* System */
  NSPREG_BOTID     =  0,
  NSPREG_VERSION   =  1,
  NSPREG_VSUPPLY   =  2,
  /* LEDs */
  NSPREG_LEDSR     =  3,
  NSPREG_LEDSG     =  4,
  NSPREG_LEDSWPWM  =  5,
  /* Motor */
  NSPREG_MOTMODE   =  6,
  NSPREG_MOTPWML   =  7,
  NSPREG_MOTPWMR   =  8,
  NSPREG_MOTPIDL   =  9,
  NSPREG_MOTPIDR   = 10,
  NSPREG_MOTCURL   = 11,
  NSPREG_MOTCURR   = 12,
  /* Odometry */ 
  NSPREG_ODOL      = 13,
  NSPREG_ODOR      = 14,
  /* Floor/Line */
  NSPREG_FLOORL    = 15,
  NSPREG_FLOORR    = 16,
  NSPREG_LINEL     = 17,
  NSPREG_LINER     = 18,
  /* Distance */
  NSPREG_DIST_L    = 19,
  NSPREG_DIST_FL   = 20,
  NSPREG_DIST_F    = 21,
  NSPREG_DIST_FR   = 22,
  NSPREG_DIST_R    = 23
};

#define NSP_REGISTER_TEXT \
  "Registers:\n"\
  "=========\n"\
  " 0: BOT ID\n"\
  " 1: Version\n"\
  " 2: Supply Voltage [mV]\n"\
  " 3: red LEDs\n"\
  " 4: green LEDs\n"\
  " 5: PWM white LEDs\n"\
  " 6: Motor Mode \n"\
  " 7: Motor PWM L \n"\
  " 8: Motor PWM R \n"\
  " 9: Motor PID L \n"\
  "10: Motor PID R \n"\
  "11: Motor current L \n"\
  "12: Motor current R \n"\
  "13: Odometry L \n"\
  "14: Odometry R \n"\
  "15: Floor L\n"\
  "16: Floor R\n"\
  "17: Line L\n"\
  "18: Line R\n"\
  "19: Dist L\n"\
  "20: Dist FL\n"\
  "21: Dist F\n"\
  "22: Dist FR\n"\
  "23: Dist R \n"
